<?php 
ob_start();
session_start();
include "../config/config.php";
include "../config/session.php";


$requestData = $_REQUEST;


/*Fetch Database column Details*/
        $columns = array( 
            0 =>'id', 
            1 =>'id', 
            2 =>'id',
            3 =>'id',
            4 =>'id',
            5 =>'id'
        );
        
$conditions="";

$status = $_POST['status'];
$category_id = $_POST['category_id'];
$product_id = $_POST['product_id'];

if($status!=""){
    $conditions.=" and e.status=".$status;
}
if($category_id!=""){
    $conditions.=" and e.category_id=".$category_id;
}
if($product_id!=""){
    $conditions.=" and tbl_category.product_ids=".$product_id;
}


        
/*Fetch All Data Start*/        
        
    	$statement = $pdo->prepare("SELECT e.*,tbl_category.name as category_name,
    	cu.name as created_user_name, uu.name as updated_user_name
    	FROM tbl_sub_category e 
    	LEFT JOIN tbl_category ON tbl_category.id=e.category_id
    	LEFT JOIN tbl_users cu ON cu.id=e.created_by
        LEFT JOIN tbl_users uu ON uu.id=e.updated_by
    	WHERE e.id!=0 ".$conditions." ORDER BY e.id DESC");
		$statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);
		$totalData = $statement->rowCount();
        $totalFiltered = $totalData;
/*Fetch All Data End*/       
        
/*Fetch Filter Data Start*/    
         $sql="SELECT e.*,tbl_category.name as category_name,
         cu.name as created_user_name, uu.name as updated_user_name
    	FROM tbl_sub_category e 
    	LEFT JOIN tbl_category ON tbl_category.id=e.category_id
    	LEFT JOIN tbl_users cu ON cu.id=e.created_by
        LEFT JOIN tbl_users uu ON uu.id=e.updated_by
    	WHERE e.id!=0 ".$conditions;
         
        if( !empty($_REQUEST['search']) ) 
        {   
        	$sql.=" AND ( e.name LIKE '%".$_REQUEST['search']."%' "; 
        	$sql.=" OR tbl_category.name LIKE '%".$_REQUEST['search']."%' ) "; 
        }
        
/*Fetch Filter Data End*/       
        


         $sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
       	
        $statement = $pdo->prepare($sql);
        $statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);

$data = array();
$i=1;
foreach( $query as $row ) {  // preparing an array
	$nestedData=array(); 
	$action= "<div class='text-center'><div class='btn-group'>";
	 
	                    $action.=" <a style='padding: 6px;margin-right: 3px;' href='sub-category-edit.php?id=".$row["id"]."'  title='Update Details' class='tip btn btn-warning btn-xs'>
		                    <i class='fa fa-edit'></i>
		                </a>";
		                
	if($row["status"]==1){	                
		                $action.=" <button style='padding: 6px;margin-right: 3px;' title='Delete Sub Category' onClick='delete_Details(".$row["id"].")' class='tip btn btn-danger btn-xs'>
		                    <i class='fa fa-trash-o'></i>
		                </button>";
	}
		                
	$action.="</div></div>";
	
	
	$nestedData[] = $action;	
	$nestedData[] = "<div class='text-center'>".$i."</div>";
	$nestedData[] = "<div class='text-center'>".$row["name"]."</div>";
	$nestedData[] = "<div class='text-center'>".$row["category_name"]."</div>";
	$nestedData[] = "<div class='text-center'>".$row["sub_category_hsn_code"]."</div>";
	$nestedData[] = "<div class='text-center'>".$row["updated_user_name"]."</div>";
	if($row["status"]==1){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-success btn-xs'><i class='fa fa-eye'></i> Active</span></div>";
	}else if($row["status"]==0){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-danger btn-xs' onclick='DynamicActive(".$row["id"].")'><i class='fa fa-eye-slash'></i> In-Active</span></div>";
	}
	$nestedData[] = "<div class='text-center'>".date('d-m-Y h:i A', strtotime($row["updated_at"]))."</div>";
	
	
        	
        	
	$data[] = $nestedData;
	$i++;
	

}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),  
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data); 




?>